Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151316 - no main classes found
no main classes found
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 19:05 UTC by Lukas Hasik
Modified: 2009-02-19 21:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2008-10-24 19:05:27 UTC
Product Version: NetBeans IDE 6.5 RC2 (Build 200810231029)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b11
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)

-create new java application project with main class
-project properties > Sources > Includes/Excludes
-Exclude: **/*.java
-OK
-go to project properties again and clean up the Exclude textfield
->Run project -> no main classes found dialog appears
-it behaves in the same way for projects with or without Compile on Save
-the only way how to recover is to edit the Main class, restart doesn't help
Comment 1 Tomas Zezula 2008-10-24 19:45:10 UTC
Probably related to excludes, not release stopper as exclude users are not a main stream.
But the fix should be included to patch.
Comment 2 Tomas Zezula 2008-10-29 17:29:38 UTC
http://hg.netbeans.org/main/rev/8728d270a755
Comment 3 Quality Engineering 2008-10-30 04:59:03 UTC
Integrated into 'main-golden', will be available in build *200810300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8728d270a755
User: Tomas Zezula <tzezula@netbeans.org>
Log: #151316:no main classes found
Comment 4 Jiri Prox 2008-11-20 10:50:53 UTC
verified
Comment 5 pslechta 2008-11-20 12:39:49 UTC
The fix was backported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/df6631c55d90
Comment 6 Jiri Prox 2008-12-02 16:27:14 UTC
verified in patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo